#
# spec file for package python-flup
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flup
Version:        1.0.3.dev20161029
Release:        lp150.1.4
Url:            http://www.saddi.com/software/flup/
Summary:        Random assortment of WSGI servers
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/f/flup/flup-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# Documentation build requirements:
BuildRequires:  python3-Sphinx
BuildArch:      noarch

%python_subpackages

%description
A random collection of WSGI modules for Python

%package -n %{name}-doc
Summary:        Documentation for %{name}
Group:          Documentation/Other
Provides:       %{python_module flup-doc = %{version}}

%description -n %{name}-doc
This package contains HTML documentation for %{name}.

%prep
%setup -q -n flup-%{version}

%build
%python_build
python3 setup.py build_sphinx && rm docs/build/html/.buildinfo

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*

%files -n %{name}-doc
%defattr(-,root,root)
%doc docs/build/html/

%changelog
* Wed May 17 2017 hpj@urpla.net
- update to 1.0.3.dev20161029
  - no changelog available
- implement full singlespec build
- build separate doc package
* Wed Apr 19 2017 toddrme2178@gmail.com
- Source url must be https.
* Tue Apr 18 2017 toddrme2178@gmail.com
- Add python2-provides for compatibility with singlespec macros.
- Spec file cleanups.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Dec  8 2011 coolo@suse.com
- fix license to be in spdx.org format
* Wed Aug 31 2011 saschpe@suse.de
- Update to 1.0.3.dev-20110405:
  * Re-seed random module after each fork.
  * Add an indication as to which header fails assertion when
    passing in non-string header names and/or values.
- Ran py2pack to cleanup spec file
  * Removed old changelog entries
* Tue Sep 29 2009 alexandre@exatati.com.br
- Update to 1.0.2;
- Building as noarch for openSUSE >= 11.2.
- Minor changes in spec file to make it
  more readable.
